Classes | Namespaces | Enumerations | Functions
WPSOLEStream.cpp File Reference
`#include <string.h>`
`#include <ctype.h>`
`#include <cassert>`
`#include <sstream>`
`#include <iostream>`
`#include <list>`
`#include <locale>`
`#include <set>`
`#include <string>`
`#include <vector>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include "libwps_internal.h"`
`#include "WPSStringStream.h"`
`#include "WPSOLEStream.h"`

## Classes
class | libwps_OLE::Header
class | libwps_OLE::AllocTable
class | libwps_OLE::DirInfo
class | libwps_OLE::DirEntry
class | libwps_OLE::DirTree
struct | libwps_OLE::DirTree::CompareEntryName
| a comparaison funcion of DirTree used to sort the entry by name More...
class | libwps_OLE::IStorage
class | libwps_OLE::OStorage
class | libwps_OLE::IStream
class | libwps_OLE::WPSOLEStream
| internal class used to create a RVNGInputStream from an OLE file More...

## Namespaces
| libwps_OLE

## Enumerations
enum | { libwps_OLE::Avail = 0xffffffff, libwps_OLE::Eof = 0xfffffffe, libwps_OLE::Bat = 0xfffffffd, libwps_OLE::MetaBat = 0xfffffffc, libwps_OLE::NotFound =0xfffffff0 }

## Functions
static unsigned short | libwps_OLE::readU16 (const unsigned char *ptr)
static unsigned | libwps_OLE::readU32 (const unsigned char *ptr)
static void | libwps_OLE::writeU16 (unsigned char *ptr, unsigned long data)
static void | libwps_OLE::writeU32 (unsigned char *ptr, unsigned long data)
static unsigned long | libwps_OLE::getLength (librevenge::RVNGInputStream *const input)
RVNGInputStreamPtr | libwps_OLE::getOLEInputStream (RVNGInputStreamPtr input)